package Monitoring::GLPlugin::SNMP::MibsAndOids::CISCORTTMONTCMIB;

$Monitoring::GLPlugin::SNMP::MibsAndOids::origin->{'CISCO-RTTMON-TC-MIB'} = {
  url => '',
  name => 'CISCO-RTTMON-TC-MIB',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::mib_ids->{'CISCO-RTTMON-TC-MIB'} =
    '1.3.6.1.4.1.9.9.485';

$Monitoring::GLPlugin::SNMP::MibsAndOids::mibs_and_oids->{'CISCO-RTTMON-TC-MIB'} = {
  'ciscoRttMonTCMIB' => '1.3.6.1.4.1.9.9.485',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::definitions->{'CISCO-RTTMON-TC-MIB'} = {
  'RttMonOperation' => {
    '0' => 'notApplicable',
    '1' => 'httpGet',
    '2' => 'httpRaw',
    '3' => 'ftpGet',
    '4' => 'ftpPassive',
    '5' => 'ftpActive',
    '6' => 'voipDTAlertRinging',
    '7' => 'voipDTConnectOK',
  },
  'RttResponseSense' => {
    '0' => 'other',
    '1' => 'ok',
    '2' => 'disconnected',
    '3' => 'overThreshold',
    '4' => 'timeout',
    '5' => 'busy',
    '6' => 'notConnected',
    '7' => 'dropped',
    '8' => 'sequenceError',
    '9' => 'verifyError',
    '10' => 'applicationSpecific',
    '11' => 'dnsServerTimeout',
    '12' => 'tcpConnectTimeout',
    '13' => 'httpTransactionTimeout',
    '14' => 'dnsQueryError',
    '15' => 'httpError',
    '16' => 'error',
    '17' => 'mplsLspEchoTxError',
    '18' => 'mplsLspUnreachable',
    '19' => 'mplsLspMalformedReq',
    '20' => 'mplsLspReachButNotFEC',
    '21' => 'enableOk',
    '22' => 'enableNoConnect',
    '23' => 'enableVersionFail',
    '24' => 'enableInternalError',
    '25' => 'enableAbort',
    '26' => 'enableFail',
    '27' => 'enableAuthFail',
    '28' => 'enableFormatError',
    '29' => 'enablePortInUse',
    '30' => 'statsRetrieveOk',
    '31' => 'statsRetrieveNoConnect',
    '32' => 'statsRetrieveVersionFail',
    '33' => 'statsRetrieveInternalError',
    '34' => 'statsRetrieveAbort',
    '35' => 'statsRetrieveFail',
    '36' => 'statsRetrieveAuthFail',
    '37' => 'statsRetrieveFormatError',
    '38' => 'statsRetrievePortInUse',
  },
  'RttMonCodecType' => {
    '0' => 'notApplicable',
    '1' => 'g711ulaw',
    '2' => 'g711alaw',
    '3' => 'g729a',
  },
  'RttMonIdLst' => {
  },
  'RttMplsVpnMonLpdGrpStatus' => {
    '1' => 'unknown',
    '2' => 'up',
    '3' => 'partial',
    '4' => 'down',
  },
  'RttMonLSPPingReplyMode' => {
    '1' => 'replyIpv4Udp',
    '2' => 'replyIpv4UdpRA',
  },
  'RttMonRttType' => {
    '1' => 'echo',
    '2' => 'pathEcho',
    '3' => 'fileIO',
    '4' => 'script',
    '5' => 'udpEcho',
    '6' => 'tcpConnect',
    '7' => 'http',
    '8' => 'dns',
    '9' => 'jitter',
    '10' => 'dlsw',
    '11' => 'dhcp',
    '12' => 'ftp',
    '13' => 'voip',
    '14' => 'rtp',
    '15' => 'lspGroup',
    '16' => 'icmpjitter',
    '17' => 'lspPing',
    '18' => 'lspTrace',
    '19' => 'ethernetPing',
    '20' => 'ethernetJitter',
    '21' => 'lspPingPseudowire',
    '22' => 'video',
    '23' => 'y1731Delay',
    '24' => 'y1731Loss',
    '25' => 'mcastJitter',
    '26' => 'fabricPathEcho',
  },
  'RttMonProtocol' => {
    '1' => 'notApplicable',
    '2' => 'ipIcmpEcho',
    '3' => 'ipUdpEchoAppl',
    '4' => 'snaRUEcho',
    '5' => 'snaLU0EchoAppl',
    '6' => 'snaLU2EchoAppl',
    '7' => 'snaLU62Echo',
    '8' => 'snaLU62EchoAppl',
    '9' => 'appleTalkEcho',
    '10' => 'appleTalkEchoAppl',
    '11' => 'decNetEcho',
    '12' => 'decNetEchoAppl',
    '13' => 'ipxEcho',
    '14' => 'ipxEchoAppl',
    '15' => 'isoClnsEcho',
    '16' => 'isoClnsEchoAppl',
    '17' => 'vinesEcho',
    '18' => 'vinesEchoAppl',
    '19' => 'xnsEcho',
    '20' => 'xnsEchoAppl',
    '21' => 'apolloEcho',
    '22' => 'apolloEchoAppl',
    '23' => 'netbiosEchoAppl',
    '24' => 'ipTcpConn',
    '25' => 'httpAppl',
    '26' => 'dnsAppl',
    '27' => 'jitterAppl',
    '28' => 'dlswAppl',
    '29' => 'dhcpAppl',
    '30' => 'ftpAppl',
    '31' => 'mplsLspPingAppl',
    '32' => 'voipAppl',
    '33' => 'rtpAppl',
    '34' => 'icmpJitterAppl',
    '35' => 'ethernetPingAppl',
    '36' => 'ethernetJitterAppl',
    '37' => 'videoAppl',
    '38' => 'y1731dmm',
    '39' => 'y17311dm',
    '40' => 'y1731lmm',
    '41' => 'mcastJitterAppl',
    '42' => 'y1731slm',
    '43' => 'y1731dmmv1',
    '44' => 'fabricPathEchoAppl',
  },
  'RttMonReactVar' => {
    '1' => 'rtt',
    '2' => 'jitterSDAvg',
    '3' => 'jitterDSAvg',
    '4' => 'packetLossSD',
    '5' => 'packetLossDS',
    '6' => 'mos',
    '7' => 'timeout',
    '8' => 'connectionLoss',
    '9' => 'verifyError',
    '10' => 'jitterAvg',
    '11' => 'icpif',
    '12' => 'packetMIA',
    '13' => 'packetLateArrival',
    '14' => 'packetOutOfSequence',
    '15' => 'maxOfPositiveSD',
    '16' => 'maxOfNegativeSD',
    '17' => 'maxOfPositiveDS',
    '18' => 'maxOfNegativeDS',
    '19' => 'iaJitterDS',
    '20' => 'frameLossDS',
    '21' => 'mosLQDS',
    '22' => 'mosCQDS',
    '23' => 'rFactorDS',
    '24' => 'successivePacketLoss',
    '25' => 'maxOfLatencyDS',
    '26' => 'maxOfLatencySD',
    '27' => 'latencyDSAvg',
    '28' => 'latencySDAvg',
    '29' => 'packetLoss',
    '30' => 'iaJitterSD',
    '31' => 'mosCQSD',
    '32' => 'rFactorSD',
    '33' => 'lpdGroup',
    '34' => 'lpdTreeTrace',
    '35' => 'lpdAll',
    '36' => 'unavailSD',
    '37' => 'unavailDS',
    '38' => 'pktLossPctSD',
    '39' => 'pktLossPctDS',
    '40' => 'rttPct',
    '41' => 'maxOfLatencySDPct',
    '42' => 'maxOfLatencyDSPct',
    '43' => 'latencySDAvgPct',
    '44' => 'latencyDSAvgPct',
    '45' => 'jitterSDAvgPct',
    '46' => 'jitterDSAvgPct',
    '47' => 'jitterAvgPct',
    '48' => 'overThreshold',
    '49' => 'protocolSpecificError',
  },
  'RttMplsVpnMonRttType' => {
    '1' => 'jitter',
    '2' => 'echo',
    '3' => 'pathEcho',
  },
  'RttMonScheduleStartType' => {
    '1' => 'pending',
    '2' => 'now',
    '3' => 'random',
    '4' => 'after',
    '5' => 'specific',
  },
  'RttMplsVpnMonLpdFailureSense' => {
    '1' => 'unknown',
    '2' => 'noPath',
    '3' => 'allPathsBroken',
    '4' => 'allPathsUnexplorable',
    '5' => 'allPathsBrokenOrUnexplorable',
    '6' => 'timeout',
    '7' => 'error',
  },
  'RttReset' => {
    '1' => 'ready',
    '2' => 'reset',
  },
  'RttMonCtrlIndex' => {
  },
  'CipslaPercentileVar' => {
    '1' => 'rtt',
    '2' => 'owsd',
    '3' => 'owds',
    '4' => 'jittersd',
    '5' => 'jitterds',
    '6' => 'jitteravg',
  },
};

